| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Tools
Tools.X509

# Method Tools.X509.rsa_sign_key()

Method rsa_sign_key

  `string rsa_sign_key(Sequence issuer, Crypto.RSA rsa, Sequence subject, string public_key, int serial, int ttl, array|void extensions)`

Parameter `issuer`

  Distinguished name for the issuer.

Parameter `rsa`

  RSA parameters for the issuer.

Parameter `subject`

  Distinguished name for the issuer.

Parameter `public_key`

  DER-encoded RSAPublicKey structure. See Standards.PKCS.RSA.public_key() .

Parameter `serial`

  Serial number for this key and subject.

Parameter `ttl`

  Validity time in seconds for this signature to be valid.

Parameter `extensions`

  Set of extensions.

Returns

  Returns a DER-encoded certificate.